Not working! LastPass discourages use of this plugin, promotes Dolphin Rated 2 out of 5 stars

About 6 months ago the LastPass plugin for Firefox stopped working on my Nexus 4 and Nexus 10. Whenever I log in, it says I have the wrong credentials even though I know they're right. I found on LastPass' documentation that they actually discourage use of Firefox with their service. "LastPass has an extension available for Firefox Mobile on Android OS devices. While it is functional, we recommend using our Dolphin HD extension or LastPass app for use on the Android rather than Firefox Mobile due to Firefox’s limited integration."

Please improve the integration! Firefox is my favorite browser and LastPass is my favorite password manager-- can't we all just get along?

This review is for a previous version of the add-on ( 

Please debug with us directly


We're sorry to hear of the trouble on mobile Firefox. It would be best if we debug this with you directly, if you haven't already please get in touch with the team: so we can review the details of what you encountered.